# Uses of Interface
org.eclipse.ui.IStorageEditorInput

Packages that use IStorageEditorInput
Package
Description
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IStorageEditorInput in org.eclipse.team.ui.history

Constructors in org.eclipse.team.ui.history with parameters of type IStorageEditorInput
Modifier
Constructor
Description
``
`RevisionAnnotationController(IWorkbenchPage page, IStorageEditorInput editorInput, ISelectionProvider historyList)`
Create a controller that links an editor input on a remote file to a history list.

## Uses of IStorageEditorInput in org.eclipse.ui

Subinterfaces of IStorageEditorInput in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IFileEditorInput`
This interface defines a file-oriented input to an editor.

## Uses of IStorageEditorInput in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type IStorageEditorInput
Modifier and Type
Method
Description
`protected void`
StorageDocumentProvider.`updateCache(IStorageEditorInput input)`
Updates the internal cache for the given input.

## Uses of IStorageEditorInput in org.eclipse.ui.part

Classes in org.eclipse.ui.part that implement IStorageEditorInput
Modifier and Type
Class
Description
`class`
`FileEditorInput`
Adapter for making a file resource a suitable input for an editor.
`class`
`FileInPlaceEditorInput`
Adapter for making a file resource a suitable input for an in-place editor.